Index: Source/Python/Mods/checks.py
===================================================================
--- Source/Python/Mods/checks.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/Mods/checks.py	(revision 50f9ca6e376be74ed4abbd6f5f83e66c5dd69951)
@@ -479,10 +479,15 @@
     '''
     if queue in _config.QUEUES_LIST and \
-            (not gateway or not destination or
-             not ecuid or not ecgid):
-        raise ValueError('\nEnvironment variables GATEWAY, DESTINATION, ECUID '
+            (not ecuid or not ecgid):
+        raise ValueError('\nEnvironment variables ECUID '
                          'and ECGID were not set properly! \n '
                          'Please check for existence of file "ECMWF_ENV" '
                          'in the run directory!')
+    elif queue in _config.QUEUES_LIST and \
+             (not gateway or not destination):
+        print('WARNING: Parameters GATEWAY and DESTINATION were '
+              'not properly set for working on ECMWF server. \n'
+              'There will be no transfer of output files to the '
+              'local gateway server possible!')
     return
 
Index: Source/Python/install.py
===================================================================
--- Source/Python/install.py	(revision 0f89116d0fc1de9b182758abd84208eb9c6933b5)
+++ Source/Python/install.py	(revision 50f9ca6e376be74ed4abbd6f5f83e66c5dd69951)
@@ -285,17 +285,17 @@
 
     if c.install_target and c.install_target != 'local':
-        if not c.ecgid or not c.ecuid or \
-           not c.gateway or not c.destination:
-            print('Please enter your ECMWF user id and group id as well ' +
-                  'as the \nname of the local gateway and the ectrans ' +
-                  'destination ')
-            print('with command line options --ecuid --ecgid \
-                   --gateway --destination')
+        if not c.ecgid or not c.ecuid:
+            print('Please enter your ECMWF user id and group id '
+                  ' with command line options --ecuid --ecgid')
             print('Try "' + sys.argv[0].split('/')[-1] + \
                   ' -h" to print usage information')
-            print('Please consult ecaccess documentation or ECMWF user \
-                   support for further details')
+            print('Please consult ecaccess documentation or ECMWF user '
+                  'support for further details.\n')
             sys.exit(1)
-
+        if not c.gateway or not c.destination:
+            print('WARNING: Parameters GATEWAY and DESTINATION were '
+                  'not properly set for working on ECMWF server. \n'
+                  'There will be no transfer of output files to the '
+                  'local gateway server possible!')
         if not c.installdir:
             c.installdir = '${HOME}'
Index: setup.sh
===================================================================
--- setup.sh	(revision f7b9666b1ee712ed348892a83219097006ebe599)
+++ setup.sh	(revision 50f9ca6e376be74ed4abbd6f5f83e66c5dd69951)
@@ -31,5 +31,5 @@
 ECGID='<groupID>'
 GATEWAY='<gatewayname>'
-DESTINATION='<name>@genericSftp'
+DESTINATION='<username>@genericSftp'
 INSTALLDIR=None
 JOB_TEMPLATE=''
@@ -59,10 +59,13 @@
 if [ "$TARGET" == "ecgate" ] || [ "$TARGET" == "cca" ]; then
   # check if necessary Parameters are set
-  if [ -z "$ECUID" ] || [ -z "$ECGID" ] || [ -z "$GATEWAY" ] || [ -z "$DESTINATION" ]; then
-    echo "ERROR: At least one of the following parameters are not set: ECUID, ECGID, GATEWAY, DESTINATION!"
+  if [ -z "$ECUID" ] || [ -z "$ECGID" ] || [ "$ECUID" == "<username>" ] || [ "$ECGID" == "<groupID>" ] ; then
+    echo "ERROR: At least one of the following parameters are not properly set: ECUID or ECGID!"
     echo "EXIT WITH ERROR"
     exit
   else
     parameterlist+=" --ecuid=$ECUID --ecgid=$ECGID --gateway=$GATEWAY --destination=$DESTINATION"
+  fi
+  if [ -z "$GATEWAY" ] || [ -z "$DESTINATION" ] || [ "$GATEWAY" == "<gatewayname>" ] || [ "$DESTINATION" == "<username>@genericSftp" ] ; then
+    echo "WARNING: Not setting parameters GATEWAY and DESTINATION means there will be no file transfer to local gateway server."
   fi
 fi
